%define name	mgcomp
%define version 1.4.3
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyALog compiler for Linguistic Meta-Grammars
License:	GPL
Group:		Sciences/Computer science
Url:		http://alpage.inria.fr/catalogue.en.html#mgcomp
Source:		https://gforge.inria.fr/frs/download.php/4346/%{name}-%{version}.tar.gz
Patch0:     mgcomp-1.4.3-fix-dyalog-test.patch
Buildrequires:	dyalog
Buildroot:	%{_tmppath}/%{name}-%{version}
# (tv) depends on dyalog which is ia32 only:
ExclusiveArch:  %{ix86}

%description
mgcomp is a DyALog compiler for Linguistic Meta-Grammars, with some additional
files for a full processing chain.

%prep
%setup -q
%patch0 -p 1

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_bindir}/*
%{_libdir}/pkgconfig/mgcomp.pc


%changelog
* Sun Jan 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-1mdv2010.1
+ Revision: 492619
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - make it ia32 only since it depends on dyalog which is ia32 only
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - import mgcomp

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-2mdv2007.0
- Rebuild

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdk
- new version

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4.0-1mdk 
- first mdk release
